// Order class is associated with Customer and Item class 
public class Order {
    private Customer customer;
    private Item [] item;
    private int [] quantity;
    
    public Order(Customer customer,int totalItem){
        this.customer=customer;
        item= new Item[totalItem];
        quantity= new int[totalItem];
    }
    // set item one by one in the array
    public void setItem(Item item, int index){
        this.item[index]=item;
    }
     // set Quantity one by one in the array
    public void setQuatity(int quantity, int index){
        this.quantity[index]=quantity;
    }
    // method to be used in another method
    private double getTotalPrice(){
        double total=0.0;
        for(int i=0;i<item.length;i++){
            total= total + (item[i].getPrice()*quantity[i]);
        }
        return total;
    }
    //=======================================================
    // private method to return all the details of the items
    
    private String getItemDetails(){
        StringBuilder sb= new StringBuilder();
        sb.append("==== Item Details Are As Follows ====\n");
        for(int i=0;i<item.length;i++){
          sb.append("Item Name: "+item[i].getDescrption()+ ", Price :"+item[i].getPrice()+". Quality:"+quantity[i] 
                  +" Total Price "+((item[i].getPrice()*quantity[i]))+"\n");
        }
        
        return sb.toString();
    }
  //--------------------------------------------- 
    public String printOrder(){
        return " ---AlRayyan Super Market App---\n"+
                "Customer Name :" +customer.getName() +"\n"+
                "------------------------------------------\n"+
                getItemDetails()+
                "------------------------------------------\n"+
                "Total price :"+getTotalPrice() ;
        
    }
    
}
