
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

public class StudentAppFileIo {

    public static void main(String[] args) throws FileNotFoundException {
        File file1 = new File("studentoutdata.txt");
        File file2 = new File("studentindata.txt");
        if (!file2.exists()) { // you make sure file in the location
            System.out.println(file2.getName() + " Not Exists!!!!!");
            System.exit(0);
        }
        Scanner sc = new Scanner(file2); // reading the data from file
        PrintWriter out = new PrintWriter(file1); // write result in the file
        String[] course = new String[sc.nextInt()];
        String[][] Student = new String[course.length][]; // how many course 

       // Student[0] = new String[sc.nextInt()];
      //  Student[1] = new String[sc.nextInt()];
        
        for(int i=0;i<course.length;i++){
           Student[i] = new String[sc.nextInt()]; 
        }

        String command = sc.next();
        do {
            if (command.equalsIgnoreCase("AddCourse")) {
                addCourse(course, sc);
            } else if (command.equalsIgnoreCase("AddStudent")) {
                addStudent(Student, sc);
            } else if (command.equalsIgnoreCase("PrintCourse")) {
                printCourse(course, out);
            } else if (command.equalsIgnoreCase("PrintStudent")) {
                printStudent(Student, out);
            }
            else if (command.equalsIgnoreCase("PrintStudentCourse")) {
                printCourseStudent(course, Student, out);
            }
            command = sc.next();//very important 

        } while (!command.equalsIgnoreCase("Quit"));
        
        out.flush();
        out.close();
        sc.close();
        System.out.println("Check Files!!!!!!!!!!!!");
    }
    //--------------------------------------------------

    public static void addCourse(String[] course, Scanner sc) {
        for (int i = 0; i < course.length; i++) {
            course[i] = sc.next();
        }
    }
//--------------------------------------------------

    public static void addStudent(String[][] Student, Scanner sc) {
        for (int i = 0; i < Student.length; i++) {
            for (int j = 0; j < Student[i].length; j++) {
                Student[i][j] = sc.next();
            }
        }

    }

    public static void printCourse(String[] course, PrintWriter out) {
        out.println("--------------------------------");
        out.println("processing Print Course Command");
        for (int i = 0; i < course.length; i++) {
            out.println(course[i]);
        }
    }
    public static void printStudent(String[][] student, PrintWriter out) {
        out.println("--------------------------------");
        out.println("processing Print Student Command");
         for (int i = 0; i < student.length; i++) {
            for (int j = 0; j < student[i].length; j++) {
                 out.print(student[i][j] +"  ,   ");
            }
            out.println();
        }
    }
    
    public static void printCourseStudent(String[] course,String[][] student, PrintWriter out) {
        out.println("--------------------------------");
        out.println("processing Print Student - Course Command");
         for (int i = 0; i < student.length; i++) {
             out.println(course[i]);
            for (int j = 0; j < student[i].length; j++) {
                 out.print(student[i][j] +"  ,   ");
            }
            out.println();
        }
    }
}
